<?php
/**
 * @package		Messages
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2015-2019 DevFuse
 */

namespace IPS\gms\setup\upg_100002;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * 2.2.1 Upgrade Code
 */
class _Upgrade
{
	/**
	 * Rebuild messages missed.
	 *
	 * @return	array	If returns TRUE, upgrader will proceed to next step. If it returns any other value, it will set this as the value of the 'extra' GET parameter and rerun this step (useful for loops)
	 */
	public function step1()
	{
        /* Rebuild our messages */
        \IPS\Task::queue( 'core', 'RebuildNonContentPosts', array( 'extension' => 'gms_Messages' ), 3 );	

		return TRUE;
	}
}